# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data
Interface IGenerator

All Known Implementing Classes:
  Generator

    public interface IGenerator

Shared generator interface.

Method Summary
`java.lang.String` `getHref()` Returns the version uri of the generator.
`java.lang.String` `getName()` Returns the name of the generator.
`java.lang.String` `getVersion()` Returns the version attribute of the generator.

Method Detail

### getVersion

    java.lang.String getVersion()

  Returns the version attribute of the generator.

### getHref

    java.lang.String getHref()

  Returns the version uri of the generator.

### getName

    java.lang.String getName()

  Returns the name of the generator.